Index: trunk/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComPrediction.cpp	(revision 625)
+++ trunk/source/Lib/TLibCommon/TComPrediction.cpp	(revision 655)
@@ -39,10 +39,4 @@
 #include "TComPrediction.h"
 
-#if SHARP_ILLUCOMP_REFINE_E0046
-#define IC_REG_COST_SHIFT 7
-#define IC_CONST_SHIFT 5
-#define IC_SHIFT_DIFF 12
-#endif
-
 //! \ingroup TLibCommon
 //! \{
@@ -69,7 +63,5 @@
   if (m_pDepthBlock != NULL)
       free(m_pDepthBlock);
-#if NTT_VSP_COMMON_E0207_E0208
   m_cYuvDepthOnVsp.destroy();
-#endif
 #endif
 
@@ -129,5 +121,5 @@
     m_acYuvPredBase[1] .create( g_uiMaxCUWidth, g_uiMaxCUHeight );
 #endif
-#if NTT_VSP_COMMON_E0207_E0208
+#if H_3D_VSP
     m_cYuvDepthOnVsp.create( g_uiMaxCUWidth, g_uiMaxCUHeight );
 #endif
@@ -143,5 +135,4 @@
   }
 #if H_3D_IC
-#if SHARP_ILLUCOMP_REFINE_E0046
   m_uiaShift[0] = 0;
   for( Int i = 1; i < 64; i++ )
@@ -149,10 +140,4 @@
     m_uiaShift[i] = ( (1 << 15) + i/2 ) / i;
   }
-#else
-  for( Int i = 1; i < 64; i++ )
-  {
-    m_uiaShift[i-1] = ( (1 << 15) + i/2 ) / i;
-  }
-#endif
 #endif
 }
@@ -456,17 +441,4 @@
         dmmSegmentation = &(g_dmmWedgeLists[ g_aucConvertToBit[iWidth] ][ pcCU->getDmmWedgeTabIdx( dimType, uiAbsPartIdx ) ]);
       } break;
-#if !SEC_DMM2_E0146_HHIFIX
-    case( DMM2_IDX ):
-      {
-        UInt uiTabIdx = 0;
-        if( bFastEnc ) { uiTabIdx = pcCU->getDmmWedgeTabIdx( dimType, uiAbsPartIdx ); }
-        else
-        {
-          uiTabIdx = xPredWedgeFromIntra( pcCU, uiAbsPartIdx, iWidth, iHeight, pcCU->getDmm2DeltaEnd( uiAbsPartIdx ) );
-          pcCU->setDmmWedgeTabIdxSubParts( uiTabIdx, dimType, uiAbsPartIdx, (pcCU->getDepth(0) + (pcCU->getPartitionSize(0) == SIZE_2Nx2N ? 0 : 1)) );
-        }
-        dmmSegmentation = &(g_dmmWedgeLists[ g_aucConvertToBit[iWidth] ][ uiTabIdx ]);
-      } break;
-#endif
     case( DMM3_IDX ): 
       {
@@ -709,7 +681,5 @@
 #endif
       , bICFlag );
-#if SHARP_ILLUCOMP_REFINE_E0046
     bICFlag = bICFlag && (iWidth > 8);
-#endif
     xPredInterChromaBlk( pcCU, pcCU->getSlice()->getRefPic( eRefPicList, iRefIdx )->getPicYuvRec(), uiPartAddr, &cMv, iWidth, iHeight, rpcYuvPred, bi
 #if H_3D_ARP
@@ -731,5 +701,19 @@
   // Get depth reference
   Int       depthRefViewIdx = pcCU->getDvInfo(uiPartAddr).m_aVIdxCan;
+#if H_3D_FCO_VSP_DONBDV_E0163
+  TComPic* pRefPicBaseDepth = 0;
+  Bool     bIsCurrDepthCoded = false;
+  pRefPicBaseDepth  = pcCU->getSlice()->getIvPic( true, pcCU->getSlice()->getViewIndex() );
+  if ( pRefPicBaseDepth->getPicYuvRec() != NULL  ) 
+  {
+    bIsCurrDepthCoded = true;
+  }
+  else 
+  {
+    pRefPicBaseDepth = pcCU->getSlice()->getIvPic (true, depthRefViewIdx );
+  }
+#else
   TComPic* pRefPicBaseDepth = pcCU->getSlice()->getIvPic (true, depthRefViewIdx );
+#endif
   assert(pRefPicBaseDepth != NULL);
   TComPicYuv* pcBaseViewDepthPicYuv = pRefPicBaseDepth->getPicYuvRec();
@@ -752,21 +736,16 @@
   pcCU->clipMv(cDv);
 
-#if NTT_VSP_COMMON_E0207_E0208
+#if H_3D_FCO_VSP_DONBDV_E0163
+  if ( bIsCurrDepthCoded )
+  {
+      cDv.setZero();
+  }
+#endif
   // fetch virtual depth map
-#if NTT_VSP_VECTOR_CLIP_E0208
   pcBaseViewDepthPicYuv->extendPicBorder();
-#endif
   xGetVirtualDepth( pcCU, pcBaseViewDepthPicYuv, &cDv, uiPartAddr, iWidth, iHeight, &m_cYuvDepthOnVsp );
   // sub-PU based compensation
   xPredInterLumaBlkFromDM   ( pcCU, pcBaseViewTxtPicYuv, &m_cYuvDepthOnVsp, pShiftLUT, &cDv, uiPartAddr, iWidth, iHeight, pcCU->getSlice()->getIsDepth(), rpcYuvPred, bi );
   xPredInterChromaBlkFromDM ( pcCU, pcBaseViewTxtPicYuv, &m_cYuvDepthOnVsp, pShiftLUT, &cDv, uiPartAddr, iWidth, iHeight, pcCU->getSlice()->getIsDepth(), rpcYuvPred, bi );
-#else
-  UInt uiAbsPartIdx = pcCU->getZorderIdxInCU();
-  Int iBlkX = ( pcCU->getAddr() % pRefPicBaseDepth->getFrameWidthInCU() ) * g_uiMaxCUWidth  + g_auiRasterToPelX[ g_auiZscanToRaster[ uiAbsPartIdx ] ];
-  Int iBlkY = ( pcCU->getAddr() / pRefPicBaseDepth->getFrameWidthInCU() ) * g_uiMaxCUHeight + g_auiRasterToPelY[ g_auiZscanToRaster[ uiAbsPartIdx ] ];
-  xPredInterLumaBlkFromDM  ( pcBaseViewTxtPicYuv, pcBaseViewDepthPicYuv, pShiftLUT, &cDv, uiPartAddr, iBlkX,    iBlkY,    iWidth,    iHeight,    pcCU->getSlice()->getIsDepth(), rpcYuvPred, bi );
-  xPredInterChromaBlkFromDM( pcBaseViewTxtPicYuv, pcBaseViewDepthPicYuv, pShiftLUT, &cDv, uiPartAddr, iBlkX>>1, iBlkY>>1, iWidth>>1, iHeight>>1, pcCU->getSlice()->getIsDepth(), rpcYuvPred, bi );
-#endif
-
 }
 #endif
@@ -984,5 +963,5 @@
   if ( yFrac == 0 )
   {
-#if MTK_CLIPPING_ALIGN_IC_E0168
+#if H_3D_IC
     m_if.filterHorLuma( ref, refStride, dst, dstStride, width, height, xFrac,       !bi || bICFlag
 #else
@@ -996,5 +975,5 @@
   else if ( xFrac == 0 )
   {
-#if MTK_CLIPPING_ALIGN_IC_E0168
+#if H_3D_IC
     m_if.filterVerLuma( ref, refStride, dst, dstStride, width, height, yFrac, true, !bi || bICFlag
 #else
@@ -1019,5 +998,5 @@
 #endif 
       );
-#if MTK_CLIPPING_ALIGN_IC_E0168
+#if H_3D_IC
     m_if.filterVerLuma(tmp + (halfFilterSize-1)*tmpStride, tmpStride, dst, dstStride, width, height,              yFrac, false, !bi || bICFlag
 #else
@@ -1033,14 +1012,8 @@
   if( bICFlag )
   {
-#if SHARP_ILLUCOMP_REFINE_E0046
     Int a, b, i, j;
     const Int iShift = IC_CONST_SHIFT;
 
     xGetLLSICPrediction( cu, mv, refPic, a, b, TEXT_LUMA );
-#else
-    Int a, b, iShift, i, j;
-
-    xGetLLSICPrediction( cu, mv, refPic, a, b, iShift, TEXT_LUMA );
-#endif
 
 
@@ -1049,17 +1022,9 @@
       for ( j = 0; j < width; j++ )
       {
-#if !MTK_CLIPPING_ALIGN_IC_E0168
-        if( bi )
-        {
-          Int iIFshift = IF_INTERNAL_PREC - g_bitDepthY;
-          dst[j] = ( ( a*dst[j] + a*IF_INTERNAL_OFFS ) >> iShift ) + b*( 1 << iIFshift ) - IF_INTERNAL_OFFS;
-        }
-        else
-#endif
           dst[j] = Clip3( 0, ( 1 << g_bitDepthY ) - 1, ( ( a*dst[j] ) >> iShift ) + b );
       }
       dst += dstStride;
     }
-#if MTK_CLIPPING_ALIGN_IC_E0168
+
     if(bi)
     {
@@ -1076,5 +1041,4 @@
       }
     }
-#endif
   }
 #endif
@@ -1127,5 +1091,5 @@
   if ( yFrac == 0 )
   {
-#if MTK_CLIPPING_ALIGN_IC_E0168
+#if H_3D_IC
     m_if.filterHorChroma(refCb, refStride, dstCb,  dstStride, cxWidth, cxHeight, xFrac, !bi || bICFlag
 #else
@@ -1136,5 +1100,5 @@
 #endif
     );    
-#if MTK_CLIPPING_ALIGN_IC_E0168
+#if H_3D_IC
     m_if.filterHorChroma(refCr, refStride, dstCr,  dstStride, cxWidth, cxHeight, xFrac, !bi || bICFlag
 #else
@@ -1148,5 +1112,5 @@
   else if ( xFrac == 0 )
   {
-#if MTK_CLIPPING_ALIGN_IC_E0168
+#if H_3D_IC
     m_if.filterVerChroma(refCb, refStride, dstCb, dstStride, cxWidth, cxHeight, yFrac, true, !bi || bICFlag
 #else
@@ -1157,5 +1121,5 @@
 #endif
     );
-#if MTK_CLIPPING_ALIGN_IC_E0168
+#if H_3D_IC
     m_if.filterVerChroma(refCr, refStride, dstCr, dstStride, cxWidth, cxHeight, yFrac, true, !bi || bICFlag
 #else
@@ -1174,5 +1138,5 @@
 #endif  
       );
-#if MTK_CLIPPING_ALIGN_IC_E0168
+#if H_3D_IC
     m_if.filterVerChroma(extY  + (halfFilterSize-1)*extStride, extStride, dstCb, dstStride, cxWidth, cxHeight  , yFrac, false, !bi || bICFlag
 #else
@@ -1189,5 +1153,5 @@
 #endif 
       );
-#if MTK_CLIPPING_ALIGN_IC_E0168
+#if H_3D_IC
     m_if.filterVerChroma(extY  + (halfFilterSize-1)*extStride, extStride, dstCr, dstStride, cxWidth, cxHeight  , yFrac, false, !bi || bICFlag
 #else
@@ -1203,50 +1167,25 @@
   if( bICFlag )
   {
-#if SHARP_ILLUCOMP_REFINE_E0046
     Int a, b, i, j;
     const Int iShift = IC_CONST_SHIFT;
     xGetLLSICPrediction( cu, mv, refPic, a, b, TEXT_CHROMA_U ); // Cb
-#else
-    Int a, b, iShift, i, j;
-    xGetLLSICPrediction( cu, mv, refPic, a, b, iShift, TEXT_CHROMA_U ); // Cb
-#endif
     for ( i = 0; i < cxHeight; i++ )
     {
       for ( j = 0; j < cxWidth; j++ )
       {
-#if !MTK_CLIPPING_ALIGN_IC_E0168
-        if( bi )
-        {
-          Int iIFshift = IF_INTERNAL_PREC - g_bitDepthC;
-          dstCb[j] = ( ( a*dstCb[j] + a*IF_INTERNAL_OFFS ) >> iShift ) + b*( 1<<iIFshift ) - IF_INTERNAL_OFFS;
-        }
-        else
-#endif
           dstCb[j] = Clip3(  0, ( 1 << g_bitDepthC ) - 1, ( ( a*dstCb[j] ) >> iShift ) + b );
       }
       dstCb += dstStride;
     }
-#if SHARP_ILLUCOMP_REFINE_E0046
     xGetLLSICPrediction( cu, mv, refPic, a, b, TEXT_CHROMA_V ); // Cr
-#else
-    xGetLLSICPrediction( cu, mv, refPic, a, b, iShift, TEXT_CHROMA_V ); // Cr
-#endif
     for ( i = 0; i < cxHeight; i++ )
     {
       for ( j = 0; j < cxWidth; j++ )
       {
-#if !MTK_CLIPPING_ALIGN_IC_E0168
-        if( bi )
-        {
-          Int iIFshift = IF_INTERNAL_PREC - g_bitDepthC;
-          dstCr[j] = ( ( a*dstCr[j] + a*IF_INTERNAL_OFFS ) >> iShift ) + b*( 1<<iIFshift ) - IF_INTERNAL_OFFS;
-        }
-        else
-#endif
           dstCr[j] = Clip3( 0, ( 1 << g_bitDepthC ) - 1, ( ( a*dstCr[j] ) >> iShift ) + b );
       }
       dstCr += dstStride;
     }
-#if MTK_CLIPPING_ALIGN_IC_E0168
+
     if(bi)
     {
@@ -1268,5 +1207,4 @@
       }
     }
-#endif
   }
 #endif
@@ -1323,5 +1261,5 @@
   Int k, l, bottomLeft, topRight;
   Int horPred;
-  Int leftColumn[MAX_CU_SIZE], topRow[MAX_CU_SIZE], bottomRow[MAX_CU_SIZE], rightColumn[MAX_CU_SIZE];
+  Int leftColumn[MAX_CU_SIZE+1], topRow[MAX_CU_SIZE+1], bottomRow[MAX_CU_SIZE], rightColumn[MAX_CU_SIZE];
   UInt blkSize = width;
   UInt offset2D = width;
@@ -1417,55 +1355,8 @@
 }
 
-#if !SHARP_ILLUCOMP_REFINE_E0046
-/** Function for counting leading number of zeros/ones
- * \param x input value
- \ This function counts leading number of zeros for positive numbers and
- \ leading number of ones for negative numbers. This can be implemented in
- \ single instructure cycle on many processors.
- */
-
-Short CountLeadingZerosOnes (Short x)
-{
-  Short clz;
-  Short i;
-
-  if(x == 0)
-  {
-    clz = 0;
-  }
-  else
-  {
-    if (x == -1)
-    {
-      clz = 15;
-    }
-    else
-    {
-      if(x < 0)
-      {
-        x = ~x;
-      }
-      clz = 15;
-      for(i = 0;i < 15;++i)
-      {
-        if(x) 
-        {
-          clz --;
-        }
-        x = x >> 1;
-      }
-    }
-  }
-  return clz;
-}
-#endif
 
 /** Function for deriving LM illumination compensation.
  */
-#if SHARP_ILLUCOMP_REFINE_E0046
 Void TComPrediction::xGetLLSICPrediction( TComDataCU* pcCU, TComMv *pMv, TComPicYuv *pRefPic, Int &a, Int &b, TextType eType )
-#else
-Void TComPrediction::xGetLLSICPrediction( TComDataCU* pcCU, TComMv *pMv, TComPicYuv *pRefPic, Int &a, Int &b, Int &iShift, TextType eType )
-#endif
 {
   TComPicYuv *pRecPic = pcCU->getPic()->getPicYuvRec();
@@ -1495,7 +1386,5 @@
 
   Int x = 0, y = 0, xx = 0, xy = 0;
-#if SHARP_ILLUCOMP_REFINE_E0046
   Int precShift = std::max(0, (( eType == TEXT_LUMA ) ? g_bitDepthY : g_bitDepthC) - 12);
-#endif
 
   if( pcCU->getPUAbove( uiTmpPartIdx, pcCU->getZorderIdxInCU() ) && iCUPelY > 0 && iRefY > 0 )
@@ -1519,25 +1408,12 @@
     }
 
-#if SHARP_ILLUCOMP_REFINE_E0046
     for( j = 0; j < uiWidth; j+=2 )
-#else
-    for( j = 0; j < uiWidth; j++ )
-#endif
     {
       x += pRef[j];
       y += pRec[j];
-#if SHARP_ILLUCOMP_REFINE_E0046
       xx += (pRef[j] * pRef[j])>>precShift;
       xy += (pRef[j] * pRec[j])>>precShift;
-#else
-      xx += pRef[j] * pRef[j];
-      xy += pRef[j] * pRec[j];
-#endif
-    }
-#if SHARP_ILLUCOMP_REFINE_E0046
+    }
     iCountShift += g_aucConvertToBit[ uiWidth ] + 1;
-#else
-    iCountShift += g_aucConvertToBit[ uiWidth ] + 2;
-#endif
   }
 
@@ -1563,13 +1439,9 @@
     }
 
-#if SHARP_ILLUCOMP_REFINE_E0046
     for( i = 0; i < uiHeight; i+=2 )
-#else
-    for( i = 0; i < uiHeight; i++ )
-#endif
     {
       x += pRef[0];
       y += pRec[0];
-#if SHARP_ILLUCOMP_REFINE_E0046
+
       xx += (pRef[0] * pRef[0])>>precShift;
       xy += (pRef[0] * pRec[0])>>precShift;
@@ -1577,20 +1449,8 @@
       pRef += iRefStride*2;
       pRec += iRecStride*2;
-#else
-      xx += pRef[0] * pRef[0];
-      xy += pRef[0] * pRec[0];
-
-      pRef += iRefStride;
-      pRec += iRecStride;
-#endif
-    }
-#if SHARP_ILLUCOMP_REFINE_E0046
+    }
     iCountShift += iCountShift > 0 ? 1 : ( g_aucConvertToBit[ uiWidth ] + 1 );
-#else
-    iCountShift += iCountShift > 0 ? 1 : ( g_aucConvertToBit[ uiWidth ] + 2 );
-#endif
-  }
-
-#if SHARP_ILLUCOMP_REFINE_E0046
+  }
+
   xy += xx >> IC_REG_COST_SHIFT;
   xx += xx >> IC_REG_COST_SHIFT;
@@ -1599,34 +1459,6 @@
   const Int iShift = IC_CONST_SHIFT;
   {
-#else
-  Int iTempShift = ( ( eType == TEXT_LUMA ) ? g_bitDepthY : g_bitDepthC ) + g_aucConvertToBit[ uiWidth ] + 3 - 15;
-
-  if( iTempShift > 0 )
-  {
-    x  = ( x +  ( 1 << ( iTempShift - 1 ) ) ) >> iTempShift;
-    y  = ( y +  ( 1 << ( iTempShift - 1 ) ) ) >> iTempShift;
-    xx = ( xx + ( 1 << ( iTempShift - 1 ) ) ) >> iTempShift;
-    xy = ( xy + ( 1 << ( iTempShift - 1 ) ) ) >> iTempShift;
-    iCountShift -= iTempShift;
-  }
-
-  iShift = 13;
-
-  if( iCountShift == 0 )
-  {
-    a = 1;
-    b = 0;
-    iShift = 0;
-  }
-  else
-  {
-    Int a1 = ( xy << iCountShift ) - y * x;
-    Int a2 = ( xx << iCountShift ) - x * x;              
-#endif
     {
       const Int iShiftA2 = 6;
-#if !SHARP_ILLUCOMP_REFINE_E0046
-      const Int iShiftA1 = 15;
-#endif
       const Int iAccuracyShift = 15;
 
@@ -1636,12 +1468,7 @@
       Int a2s = a2;
 
-#if SHARP_ILLUCOMP_REFINE_E0046
       a1 = Clip3(0, 2*a2, a1);
       iScaleShiftA2 = GetMSB( abs( a2 ) ) - iShiftA2;
       iScaleShiftA1 = iScaleShiftA2 - IC_SHIFT_DIFF;
-#else
-      iScaleShiftA1 = GetMSB( abs( a1 ) ) - iShiftA1;
-      iScaleShiftA2 = GetMSB( abs( a2 ) ) - iShiftA2;  
-#endif
 
       if( iScaleShiftA1 < 0 )
@@ -1662,41 +1489,6 @@
       a1s = a1 >> iScaleShiftA1;
 
-#if SHARP_ILLUCOMP_REFINE_E0046
       a = a1s * m_uiaShift[ a2s ];
       a = a >> iScaleShiftA;
-#else
-      if (a2s >= 1)
-      {
-        a = a1s * m_uiaShift[ a2s - 1];
-      }
-      else
-      {
-        a = 0;
-      }
-
-      if( iScaleShiftA < 0 )
-      {
-        a = a << -iScaleShiftA;
-      }
-      else
-      {
-        a = a >> iScaleShiftA;
-      }
-
-      a = Clip3( -( 1 << 15 ), ( 1 << 15 ) - 1, a ); 
-
-      Int minA = -(1 << (6));
-      Int maxA = (1 << 6) - 1;
-      if( a <= maxA && a >= minA )
-      {
-        // do nothing
-      }
-      else
-      {
-        Short n = CountLeadingZerosOnes( a );
-        a = a >> (9-n);
-        iShift -= (9-n);
-      }
-#endif
       b = (  y - ( ( a * x ) >> iShift ) + ( 1 << ( iCountShift - 1 ) ) ) >> iCountShift;
     }
@@ -1706,6 +1498,4 @@
 
 #if H_3D_VSP
-
-#if NTT_VSP_COMMON_E0207_E0208
 // not fully support iRatioTxtPerDepth* != 1
 Void TComPrediction::xGetVirtualDepth( TComDataCU *cu, TComPicYuv *picRefDepth, TComMv *mv, UInt partAddr, Int width, Int height, TComYuv *yuvDepth, Int ratioTxtPerDepthX, Int ratioTxtPerDepthY )
@@ -1715,6 +1505,4 @@
 
   Int refDepStride = picRefDepth->getStride();
-
-#if NTT_VSP_VECTOR_CLIP_E0208
 
   Int refDepOffset  = ( (mv->getHor()+2) >> 2 ) + ( (mv->getVer()+2) >> 2 ) * refDepStride;
@@ -1736,24 +1524,6 @@
   refDepth += refDepOffset;
 
-#else // NTT_VSP_VECTOR_CLIP_E0208
-
-  Int widthDepth = picRefDepth->getWidth();
-  Int heightDepth = picRefDepth->getHeight();
-  Int posX, posY;
-  cu->getPic()->getPicYuvRec()->getTopLeftSamplePos( cu->getAddr(), cu->getZorderIdxInCU() + partAddr, posX, posY ); // top-left position in texture
-  posX /= ratioTxtPerDepthX; // texture position -> depth postion
-  posY /= ratioTxtPerDepthY;
-  
-  posX = Clip3(0, widthDepth-width,   posX + ((mv->getHor()+2)>>2));
-  posY = Clip3(0, heightDepth-height, posY + ((mv->getVer()+2)>>2));
-  
-  Pel *refDepth  = picRefDepth->getLumaAddr() + posX + posY * refDepStride;
-
-#endif // NTT_VSP_VECTOR_CLIP_E0208
-
   Int depStride = yuvDepth->getStride();
   Pel *depth = yuvDepth->getLumaAddr();
-
-#if NTT_VSP_ADAPTIVE_SPLIT_E0207
 
   if( width<8 || height<8 )
@@ -1894,36 +1664,5 @@
   }
 
-#else // NTT_VSP_ADAPTIVE_SPLIT_E0207
-
-  Int rightOffset = nTxtPerDepthX - 1;
-  Int depStrideBlock = depStride * nTxtPerDepthY;
-  Int refDepStrideBlock = refDepStride * nTxtPerDepthY;
-  Pel *refDepthTop = refDepth;
-  Pel *refDepthBot = refDepthTop + (nTxtPerDepthY-1)*refDepStride;
-
-  for( Int y=0; y<height; y+= nTxtPerDepthY )
-  {
-    for( Int x=0; x<width; x+=nTxtPerDepthX )
-    {
-      Pel maxDepth = refDepthTop[x] > refDepthBot[x] ? refDepthTop[x] : refDepthBot[x]; 
-
-      if( maxDepth < refDepthTop[x+rightOffset] )
-      {
-        maxDepth = refDepthTop[x+rightOffset];
-      }
-      if( maxDepth < refDepthBot[x+rightOffset] )
-      {
-        maxDepth = refDepthBot[x+rightOffset];
-      }
-
-      depth[x] = maxDepth;
-
-    }
-    refDepthTop += refDepStrideBlock;
-    refDepthBot += refDepStrideBlock;
-    depth       += depStrideBlock;
-  }
-
-#endif // NTT_VSP_ADAPTIVE_SPLIT_E0207
+
 }
 
@@ -1943,10 +1682,4 @@
   Pel *dst    = yuvDst->getLumaAddr(partAddr);
   Pel *depth  = yuvDepth->getLumaAddr();
-  
-#if !(NTT_VSP_DC_BUGFIX_E0208)
-  Int widthLuma = picRef->getWidth();
-  Int posX, posY;
-  cu->getPic()->getPicYuvRec()->getTopLeftSamplePos( cu->getAddr(), cu->getZorderIdxInCU() + partAddr, posX, posY ); // top-left position in texture
-#endif
 
 #if H_3D_VSP_BLOCKSIZE == 1
@@ -2021,6 +1754,4 @@
       Int xFrac = disparity & 0x3;
 
-#if NTT_VSP_DC_BUGFIX_E0208
-
       dv.setHor( disparity );
       cu->clipMv( dv );
@@ -2038,36 +1769,4 @@
       assert( ref[refOffset] >= 0 && ref[refOffset]<= 255 );
       m_if.filterHorLuma( &ref[refOffset], refStride, &dst[xTxt], dstStride, nTxtPerDepthX, nTxtPerDepthY, xFrac, !isBi );
-
-#else // NTT_VSP_DC_BUGFIX_E0208
-
-      for( Int j=0; j < nTxtPerDepthX; j++ )
-      {
-        Int refOffset = xTxt+j + (disparity >> 2);
-#if H_3D_VSP_CONSTRAINED
-        if(refOffset<minRelativePos || refOffset>maxRelativePos)
-        {
-          xFrac = 0;
-        }
-        refOffset = Clip3(minRelativePos, maxRelativePos, refOffset);
-#endif
-        Int absX  = posX + refOffset;
-
-        if (xFrac == 0)
-        {
-          absX = Clip3(0, widthLuma-1, absX);
-        }
-        else
-        {
-          absX = Clip3(4, widthLuma-5, absX);
-        }
-
-        refOffset = absX - posX;
-        assert( ref[refOffset] >= 0 && ref[refOffset] <= 255 );
-        
-        m_if.filterHorLuma( &ref[refOffset], refStride, &dst[xTxt+j], dstStride, 1, nTxtPerDepthY, xFrac, !isBi );
-      }
-
-#endif // NTT_VSP_DC_BUGFIX_E0208
-
     }
     ref   += refStrideBlock;
@@ -2101,12 +1800,4 @@
   Pel *depth  = yuvDepth->getLumaAddr();
 
-#if !(NTT_VSP_DC_BUGFIX_E0208)
-  Int widthChroma = picRef->getWidth() >> 1;
-  Int posX, posY;
-  cu->getPic()->getPicYuvRec()->getTopLeftSamplePos( cu->getAddr(), cu->getZorderIdxInCU() + partAddr, posX, posY ); // top-left position in texture
-  posX >>= 1;
-  posY >>= 1;
-#endif
-  
 #if H_3D_VSP_BLOCKSIZE == 1
 #if H_3D_VSP_CONSTRAINED
@@ -2173,6 +1864,4 @@
       Int xFrac = disparity & 0x7;
       
-#if NTT_VSP_DC_BUGFIX_E0208
-
       dv.setHor( disparity );
       cu->clipMv( dv );
@@ -2193,37 +1882,4 @@
       m_if.filterHorChroma( &refCb[refOffset], refStride, &dstCb[xTxt], dstStride, nTxtPerDepthX, nTxtPerDepthY, xFrac, !isBi );
       m_if.filterHorChroma( &refCr[refOffset], refStride, &dstCr[xTxt], dstStride, nTxtPerDepthX, nTxtPerDepthY, xFrac, !isBi );
-
-#else // NTT_VSP_DC_BUGFIX_E0208
-      
-      for( Int j=0; j < nTxtPerDepthX; j++ )
-      {
-        Int refOffset = xTxt+j + (disparity >> 3);
-#if H_3D_VSP_CONSTRAINED
-        if(refOffset<minRelativePos || refOffset>maxRelativePos)
-        {
-          xFrac = 0;
-        }
-        refOffset = Clip3(minRelativePos, maxRelativePos, refOffset);
-#endif
-        Int absX  = posX + refOffset;
-
-        if (xFrac == 0)
-        {
-          absX = Clip3(0, widthChroma-1, absX);
-        }
-        else
-        {
-          absX = Clip3(4, widthChroma-5, absX);
-        }
-
-        refOffset = absX - posX;
-        assert( refCb[refOffset] >= 0 && refCb[refOffset] <= 255 );
-        assert( refCr[refOffset] >= 0 && refCr[refOffset] <= 255 );
-
-        m_if.filterHorChroma( &refCb[refOffset], refStride, &dstCb[xTxt+j], dstStride, 1, nTxtPerDepthY, xFrac, !isBi );
-        m_if.filterHorChroma( &refCr[refOffset], refStride, &dstCr[xTxt+j], dstStride, 1, nTxtPerDepthY, xFrac, !isBi );
-      }
-
-#endif // NTT_VSP_DC_BUGFIX_E0208
     }
     refCb += refStrideBlock;
